GLM_GTX_common
Experimental extensions

Include <glm/gtx/common.hpp> to use the features of this extension. More...

## Functions

template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | closeBounded (vec< L, T, Q > const &Value, vec< L, T, Q > const &Min, vec< L, T, Q > const &Max)
| Returns whether vector components values are within an interval. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmod (vec< L, T, Q > const &v)
| Similar to 'mod' but with a different rounding and integer support. More...
template<typename genType >
GLM_FUNC_DECL genType::bool_type | isdenormal (genType const &x)
| Returns true if x is a denormalized number Numbers whose absolute value is too small to be represented in the normal format are represented in an alternate, denormalized format. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | openBounded (vec< L, T, Q > const &Value, vec< L, T, Q > const &Min, vec< L, T, Q > const &Max)
| Returns whether vector components values are within an interval. More...

## Detailed Description

Include <glm/gtx/common.hpp> to use the features of this extension.

Provide functions to increase the compatibility with Cg and HLSL languages

## Function Documentation

GLM_FUNC_DECL vec<L, bool, Q> glm::closeBounded | ( | vec< L, T, Q > const & | Value,
|  | vec< L, T, Q > const & | Min,
|  | vec< L, T, Q > const & | Max
| ) |  |

Returns whether vector components values are within an interval.

A closed interval includes its endpoints, and is denoted with square brackets.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_EXT_vector_relational

GLM_FUNC_DECL vec<L, T, Q> glm::fmod | ( | vec< L, T, Q > const & | v | ) |

Similar to 'mod' but with a different rounding and integer support.

Returns 'x - y * trunc(x/y)' instead of 'x - y * floor(x/y)'

See also
  GLSL mod vs HLSL fmod
  GLSL mod man page

GLM_FUNC_DECL genType::bool_type glm::isdenormal | ( | genType const & | x | ) |

Returns true if x is a denormalized number Numbers whose absolute value is too small to be represented in the normal format are represented in an alternate, denormalized format.

This format is less precise but can represent values closer to zero.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLSL isnan man page
  GLSL 4.20.8 specification, section 8.3 Common Functions

GLM_FUNC_DECL vec<L, bool, Q> glm::openBounded | ( | vec< L, T, Q > const & | Value,
|  | vec< L, T, Q > const & | Min,
|  | vec< L, T, Q > const & | Max
| ) |  |

Returns whether vector components values are within an interval.

A open interval excludes its endpoints, and is denoted with square brackets.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_EXT_vector_relational